Subject: bug#21530: closed (Re: bug#21530: 25.0.50; tty menus disappearing)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Sep 2015 18:49:02 +0000

Your bug report

#21530: 25.0.50; tty menus disappearing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21530: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21530
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21530: 25.0.50; tty menus disappearing
From: Eli Zaretskii <[email-masked]>
To: Mark Oteiza <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Sep 2015 21:48:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 24 Sep 2015 14:25:08 -0400
> From: Mark Oteiza <[email-masked]>
> Cc: [email-masked]
> 
> > Could you please try the current master, and see if the problem is
> > solved?  I could only test that on MS-Windows (don't have access to a
> > Posix system with battery status reporting).
> 
> Appears to be fixed. Thank you!

OK, thanks.  I'm closing the bug; feel free to reopen if you discover
some left-overs or adverse effects.

Subject: 25.0.50; tty menus disappearing
From: Mark Oteiza <[email-masked]>
To: [email-masked]
Date: Mon, 21 Sep 2015 13:45:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I didn't see mention of this in the other tty menu reports, so hopefully
not a dupe. From emacs -nw -Q:

1. M-x display-time-mode
2. F10

Wait for the modeline to update. The tty menu will disappear or
otherwise appear broken. It's still there though, running through the
arrow keys will redraw the tty menu.

The same goes for buffers being displayed that redraw themselves
periodically. display-time-mode and display-battery-mode just happen to
be built in.